<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__csdadc__macros" kind="group">
    <compoundname>group_csdadc_macros</compoundname>
    <title>Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__csdadc__macros_1ga09f821a2222db0e2733a19881ab6d494" kind="define" prot="public" static="no">
        <name>CY_CSDADC_MW_VERSION_MAJOR</name>
        <initializer>(2)</initializer>
        <briefdescription>
<para>Middleware major version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="696" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="696" />
      </memberdef>
      <memberdef id="group__group__csdadc__macros_1ga99b9bf1cafc846232e9d860caeb363e4" kind="define" prot="public" static="no">
        <name>CY_CSDADC_MW_VERSION_MINOR</name>
        <initializer>(0)</initializer>
        <briefdescription>
<para>Middleware minor version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="699" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="699" />
      </memberdef>
      <memberdef id="group__group__csdadc__macros_1gadf0ec6dc2eb34095d9b2fe64203b1d30" kind="define" prot="public" static="no">
        <name>CY_CSDADC_ID</name>
        <initializer>(CY_PDL_DRV_ID(0x43u))</initializer>
        <briefdescription>
<para>CSDADC PDL ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="702" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="702" />
      </memberdef>
      <memberdef id="group__group__csdadc__macros_1ga7a2c27abd3dd05754a37d9accbc7fa49" kind="define" prot="public" static="no">
        <name>CY_CSDADC_MAX_CHAN_NUM</name>
        <initializer>(32u)</initializer>
        <briefdescription>
<para>The CSDADC max channels number. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="705" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="705" />
      </memberdef>
      <memberdef id="group__group__csdadc__macros_1ga776647cb8cb883a855dcd6402c92dbe8" kind="define" prot="public" static="no">
        <name>CY_CSDADC_NO_CHANNEL</name>
        <initializer>(0xFFu)</initializer>
        <briefdescription>
<para>The parameter for no active CSDADC channel indication. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="707" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="707" />
      </memberdef>
      <memberdef id="group__group__csdadc__macros_1ga08dee1dbf7339504e19472536c903eac" kind="define" prot="public" static="no">
        <name>CY_CSDADC_COUNTER_CHAN_MASK</name>
        <initializer>(0xF8000000uL)</initializer>
        <briefdescription>
<para>The channel counter mask for the CSDADC operation counter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="711" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="711" />
      </memberdef>
      <memberdef id="group__group__csdadc__macros_1ga042e47d932d202c2b48aaaa76fd7508a" kind="define" prot="public" static="no">
        <name>CY_CSDADC_COUNTER_CYCLE_MASK</name>
        <initializer>(0x07FFFFFFuL)</initializer>
        <briefdescription>
<para>The cycle counter mask for the CSDADC operation counter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="713" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="713" />
      </memberdef>
      <memberdef id="group__group__csdadc__macros_1gad78eb336924ab442782836c60d0470fe" kind="define" prot="public" static="no">
        <name>CY_CSDADC_COUNTER_CHAN_POS</name>
        <initializer>(27u)</initializer>
        <briefdescription>
<para>The channel counter position in the CSDADC operation counter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="715" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="715" />
      </memberdef>
      <memberdef id="group__group__csdadc__macros_1ga5ef5dc9f8b641bdecb1d91f3cc57874d" kind="define" prot="public" static="no">
        <name>CY_CSDADC_COUNTER_BAD_PARAM</name>
        <initializer>(0xFFFFFFFFuL)</initializer>
        <briefdescription>
<para>The conversion status function return for the NULL context pointer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="717" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="717" />
      </memberdef>
      <memberdef id="group__group__csdadc__macros_1gaea99199de84378b4a5f0223ddf79d680" kind="define" prot="public" static="no">
        <name>CY_CSDADC_MEASUREMENT_FAILED</name>
        <initializer>(0xFFFFFFFFuL)</initializer>
        <briefdescription>
<para>The measurement function return for a fail case. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="719" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="719" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This section describes the CSDADC Macros. </para>    </briefdescription>
    <detaileddescription>
<para>These Macros can be used to check the maximum channel number for defining CSDADC conversion mode and for checking CSDADC conversion counters. Detailed information about the macros is available in each macro description. </para>    </detaileddescription>
  </compounddef>
</doxygen>